Name:          zchunk
Version:       1.3.2
Release:       1mamba
Summary:       A file format designed for highly efficient deltas while maintaining good compression
Group:         Applications/Archiving
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/zchunk/zchunk
## GITSOURCE https://github.com/zchunk/zchunk.git 1.1.2
Source:        https://github.com/zchunk/zchunk.git/%{version}/zchunk-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcurl-devel
BuildRequires: libopenssl-devel
BuildRequires: libzstd-devel
## AUTOBUILDREQ-END
Requires:      libzck = %{?epoch:%epoch:}%{version}-%{release}

%description
A file format designed for highly efficient deltas while maintaining good compression.

%package -n libzck
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n libzck
This package contains shared libraries for %{name}.

%package -n libzck-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libzck = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n libzck-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libzck -p /sbin/ldconfig
%postun -n libzck -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/unzck
%{_bindir}/zck
%{_bindir}/zck_delta_size
%{_bindir}/zck_gen_zdict
%{_bindir}/zck_read_header
%{_bindir}/zckdl
%{_mandir}/man1/unzck.1*
%{_mandir}/man1/zck.1*
%{_mandir}/man1/zck_delta_size.1*
%{_mandir}/man1/zck_gen_zdict.1*
%{_mandir}/man1/zck_read_header.1*
%{_mandir}/man1/zckdl.1*

%files -n libzck
%defattr(-,root,root)
%{_libdir}/libzck.so.*
%doc LICENSE

%files -n libzck-devel
%defattr(-,root,root)
%{_includedir}/zck.h
%{_libdir}/libzck.so
%{_libdir}/pkgconfig/zck.pc
%doc README.md

%changelog
* Sat Oct 07 2023 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Thu Apr 06 2023 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Sun Feb 26 2023 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Sun Feb 19 2023 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic version update by autodist

* Sat Sep 17 2022 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Thu Apr 21 2022 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Thu Mar 17 2022 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Tue Feb 22 2022 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Sat Jun 19 2021 Automatic Build System <autodist@mambasoft.it> 1.1.16-1mamba
- automatic version update by autodist

* Wed Jun 02 2021 Automatic Build System <autodist@mambasoft.it> 1.1.15-1mamba
- automatic version update by autodist

* Sat May 22 2021 Automatic Build System <autodist@mambasoft.it> 1.1.14-1mamba
- automatic version update by autodist

* Sun May 16 2021 Automatic Build System <autodist@mambasoft.it> 1.1.12-1mamba
- automatic version update by autodist

* Sun May 02 2021 Automatic Build System <autodist@mambasoft.it> 1.1.11-2mamba
- automatic version update by autodist

* Sun May 02 2021 Automatic Build System <autodist@mambasoft.it> 1.1.11-1mamba
- automatic version update by autodist

* Sun Feb 28 2021 Automatic Build System <autodist@mambasoft.it> 1.1.9-1mamba
- automatic version update by autodist

* Tue Jun 04 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.2-1mamba
- package created using the webbuild interface
